<style>
    table {
        display: block;
        height: 500px;
        width: 100%;
        overflow-y: scroll;
    }
</style>
<div id="page-content-wrapper">
    <div id="page-content" style="background-color: #DFF0D8">
        <div class="panel panel-primary">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <b>REKAPITULASI KETETAPAN DAN SETORAN PER TAHUN</b>
                </h4>
            </div>
            <div class="panel-body">
                <div class="example-box-wrapper">
                    <div id="loading-progress" style="display: none"></div>
                    <div class="row" style="margin-bottom: 3px">
                        <div class="col-sm-1">
                            <div class="input-group input-daterange">
                                <input type="text" class="form-control input-sm" id="t_periodepajak_3" value="<?= date('Y') ?>" >
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <select class="form-control input-sm" id="t_jenispajak_3">
                                <?php foreach ($dataobjek as $v) { ?>
                                    <?php if ($v['s_idjenis'] != 4) { ?>
                                        <option value="<?= $v['s_idjenis'] ?>"><?= $v['s_namajenis'] ?></option>
                                    <?php } ?>
                                <?php } ?>
                            </select>
                        </div>
                    </div>
                    <div class="row" style="margin-bottom: 3px">
                        <div class="form-horizontal">
                            <label class="col-sm-1 control-label">Ttd</label>
                            <div class="col-sm-3">
                                <select class="form-control input-sm" id="ttd_3">
                                    <?php foreach ($ar_pejabat as $row) { ?>
                                        <option value="<?= $row['s_idpej'] ?>"><?= $row['s_namapej'] . " || " . $row['s_jabatanpej'] ?></option>
                                    <?php } ?>
                                </select>
                            </div>
                            <div class="col-sm-8">
                                <button type="button" class="btn btn-warning btn-sm" onclick="calldatagrid3()"><span class="glyph-icon icon-search"></span> Cari</button>
                                <button type='button' class='btn btn-success btn-sm' onclick="pageketsetexport('excel')"><span class='glyph-icon icon-file-excel-o'></span> EXPORT TO EXCEL </button>
                                <button type='button' class='btn btn-danger btn-sm' onclick="pageketsetexport('pdf')"><span class='glyph-icon icon-file-pdf-o'></span> EXPORT TO PDF </button>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <div id="htmlcount3"></div>
                        </div>
                    </div>
                    <div style="overflow: auto">
                        <div class="scroll-columns">
                            <table class="table table-condensed table-bordered cf" style="font-size: 11px; color:black">
                                <thead>
                                    <tr class="bg-blue">
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">No.</th>            
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">Tgl. Daftar</th>             
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">WP</th>            
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">OP</th> 
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">Kecamatan</th>            
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">Kelurahan/Desa</th> 
                                        <th colspan="12" style="background-color: #00BCA4; color: white; text-align: center">Periode Pajak</th>       
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">Total (Rp.)</th>       
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">Piutang (Rp.)</th>  
                                        <th rowspan="2" style="background-color: #00BCA4; color: white; text-align: center">#</th>  
                                    </tr>
                                    <tr>
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Desember</th>  
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Januari</th>            
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Februari</th>            
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Maret</th> 
                                        <th style="background-color: #00BCA4; color: white; text-align: center">April</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Mei</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Juni</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Juli</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Agustus</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">September</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">Oktober</th>       
                                        <th style="background-color: #00BCA4; color: white; text-align: center">November</th>       
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td><input type="text" id="t_tgldaftarobjek_cari_3" class="form-control input-sm" onchange="calldatagrid3()"></td>
                                        <td><input type="text" id="t_namawp_cari_3" class="form-control input-sm" onkeyup="calldatagrid3()"></td>
                                        <td><input type="text" id="t_namaobjek_cari_3" class="form-control input-sm" onkeyup="calldatagrid3()"></td>
                                        <td>
                                            <select class="form-control input-sm" id="t_kecamatanobjek_cari_3" onchange="calldatagrid3()">
                                                <option value="">-- ALL --</option>
                                                <?php foreach ($datakec as $v) { ?>
                                                    <option value="<?= $v['s_idkec'] ?>"><?= $v['s_namakec'] ?></option>
                                                <?php } ?>
                                            </select>
                                        </td>
                                        <td>
                                            <select class="form-control input-sm" id="t_kelurahanobjek_cari_3" onchange="calldatagrid3()">
                                            </select>
                                        </td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                        <td></td>
                                    </tr>
                                </thead>
                                <tbody id="body_grid3">
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">
    $(function () {
        $('#t_tgldaftarobjek_cari_3').daterangepicker({
            format: 'DD-MM-YYYY'
        }, function () {
            calldatagrid3();
        });
    });

    $('#t_periodepajak_3').datepicker({
        format: 'yyyy',
        viewMode: "years",
        minViewMode: "years"
    });

    function calldatagrid3(direction) {
        datagridskpd3(direction);
    }

    function datagridskpd3(direction) {
        const divprogress = document.getElementById('loading-progress');
        divprogress.style.display = 'block';
        var progress1 = $("#loading-progress").progressTimer();
        $.post('<?= $this->url() ?>/gridpageketset/' + null + '/' + null + '/' + direction, {
            t_tgldaftarobjek: $('#t_tgldaftarobjek_cari_3').val(),
            t_namawp: $('#t_namawp_cari_3').val(),
            t_namaobjek: $('#t_namaobjek_cari_3').val(),
            t_kecamatanobjek: $('#t_kecamatanobjek_cari_3').val(),
            t_periodepajak: $('#t_periodepajak_3').val(),
            t_jenispajak: $('#t_jenispajak_3').val(),
            t_operatorid: $('#t_operatorid_cari_3').val()
        }, function (data) {
            var aa = JSON.parse(data);
            $("#body_grid3").html(aa.grid);
            $("#htmlcount3").html(aa.htmlcount);
//            $("#head_grid3").html(aa.head);
            $.ajax().error(function () {
                progress1.progressTimer('error', {
                    errorText: 'ERROR!',
                    onFinish: function () {
                        console.log('1 - There was an error processing your information!');
                    }
                });
            }).done(function () {
                progress1.progressTimer('complete');
            });
            setTimeout(() => {
                divprogress.style.display = 'none';
            }, 1000);
        });
    }

    function cetaksurattagihan(a, b, c) {
//        console.log(b);
        if (a === 1) { // Pajak Hotel
            window.open('<?= $this->url() ?>/cetaksurattagihanhotel?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 2) { // Pajak Restoran
            window.open('<?= $this->url() ?>/cetaksurattagihanresto?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 3) { // Pajak Hiburan
            window.open('<?= $this->url() ?>/cetaksurattagihanhiburan?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 4) { // Pajak Reklame
            window.open('<?= $this->url() ?>/cetaksurattagihanreklame?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 5) { // Pajak PPJ
            window.open('<?= $this->url() ?>/cetaksurattagihanppj?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 6) { // Pajak Minerba
            window.open('<?= $this->url() ?>/cetaksurattagihanminerba?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 7) { // Pajak Parkir
            window.open('<?= $this->url() ?>/cetaksurattagihanparkir?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 8) { // Pajak ABT
            window.open('<?= $this->url() ?>/cetaksurattagihanabt?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        } else if (a === 9) { // Pajak Walet
            window.open('<?= $this->url() ?>/cetaksurattagihanwalet?t_idobjek=' + b + "&t_periodepajak=" + c + "&ttd=" + $("#ttd_3").val());
        }
    }

    function cetakteguran(a, b, c) {
        window.open('<?= $this->url() ?>/cetakteguran?t_idobjek=' + a + "&t_bulanpajak=" + b + "&t_tahunpajak=" + c + "&ttd=" + $("#ttd_3").val());
    }

    function pageketsetexport(a) {
        window.open('<?= $this->url() ?>/pageketsetexport?t_tgldaftarobjek=' + $("#t_tgldaftarobjek_cari_3").val()
                + "&t_namawp=" + $("#t_namawp_cari_3").val() + "&t_namaobjek=" + $("#t_namaobjek_cari_3").val()
                + "&t_kecamatanobjek=" + $("#t_kecamatanobjek_cari_3").val() + "&t_periodepajak=" + $("#t_periodepajak_3").val()
                + "&t_jenispajak=" + $("#t_jenispajak_3").val() + "&t_operatorid=" + $("#t_operatorid_cari_3").val()
                + "&ttd=" + $("#ttd_3").val() + "&jeniscetak=" + a);

    }
</script>
